<?php
/**
 * The template for displaying 404 pages (Not Found)
 */
$adco_redux_demo = get_option('redux_demo');
get_header(); ?> 

<div class="adco-section-padding">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12"> <span class="heading-meta style-1"><?php if(isset($adco_redux_demo['404_meta']) && $adco_redux_demo['404_meta'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($adco_redux_demo['404_meta']));?>
                <?php }else{?>
                    <?php echo esc_html__( 'Error', 'adco' );
                }
                ?></span>
                <h2 class="adco-heading animate-box" data-animate-effect="fadeInUp"><?php if(isset($adco_redux_demo['404_heading']) && $adco_redux_demo['404_heading'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($adco_redux_demo['404_heading']));?>
                <?php }else{?>
                    <?php echo esc_html__( '404 Error', 'adco' );
                }
                ?></h2>
            </div>
        </div>
        <div class="row">
            <div class="error-page-content">
                <h1><?php if(isset($adco_redux_demo['404_title']) && $adco_redux_demo['404_title'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($adco_redux_demo['404_title']));?>
                <?php }else{?>
                    <?php echo esc_html__( '404', 'adco' );
                }?></h1>
                <h2><?php if(isset($adco_redux_demo['404_subtitle']) && $adco_redux_demo['404_subtitle'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($adco_redux_demo['404_subtitle']));?>
                <?php }else{?>
                    <?php echo esc_html__( 'Oops! That page can’t be found', 'adco' );
                }?></h2>
                <div class="text"><?php if(isset($adco_redux_demo['404_text']) && $adco_redux_demo['404_text'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($adco_redux_demo['404_text']));?>
                <?php }else{?>
                    <?php echo esc_html__( 'Sorry, but the page you are looking for does not existing', 'adco' );
                }?></div>
                <a href="<?php echo esc_url(home_url('/')) ?>" class="btn btn-404"><span class="txt"><?php if(isset($adco_redux_demo['404_button']) && $adco_redux_demo['404_button'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($adco_redux_demo['404_button']));?>
                <?php }else{?>
                    <?php echo esc_html__( 'Go to home page', 'adco' );
                }?></span></a>
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?>