<?php
/*
 * The Template for displaying all posts
 * 
 */
$adco_redux_demo = get_option('redux_demo');
get_header(); ?>

<div class="adco-section-padding blog-main">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
            <h2 class="adco-heading animate-box" data-animate-effect="fadeInUp"><?php
                  /*
                   * Queue the first post, that way we know what author
                   * we're dealing with (if that is the case).
                   *
                   * We reset this later so we can run the loop properly
                   * with a call to rewind_posts().
                   */
                  the_post();

                  printf( esc_html__( 'All posts by %s', 'adco' ), get_the_author() );
                  ?></h2>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8">
            <?php
            while (have_posts()): the_post();
                ?>
                <div class="blog-entry">
                    <div class="adco-blog-wrap animate-box" data-animate-effect="fadeInUp"> 
                     <div class="img">
                         <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" class="img-fluid" alt=""></a>
                     </div>
                 </div>
                 <div class="adco-blog-content animate-box" data-animate-effect="fadeInUp"> 
                    <div class="adco-blog-bottom-content">
                        <div class="adco-blog-title">
                            <p class="adco-author-date"><i class="ti-user"></i> <?php the_author_posts_link(); ?> | <i class="ti-time"></i> <?php the_time(get_option( 'date_format' ));?></p>
                            <h2><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                        </div>
                        <p><?php if(isset($adco_redux_demo['blog_excerpt'])){?>
                            <?php echo esc_attr(adco_excerpt($adco_redux_demo['blog_excerpt'])); ?>
                        <?php }else{?>
                            <?php echo esc_attr(adco_excerpt(50)); 
                        }
                        ?></p>
                        <a href="<?php the_permalink();?>">
                            <div class="btn-contact style-1">
                                <?php echo esc_html__( 'Read More', 'adco' )?>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        <?php endwhile; ?>
        <div class="row">
            <div class="col-md-12">
                <div class="adco-blog-navigation">
                    <?php adco_pagination();?>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-4">
        <div class="adco-sidebar-part animate-box" data-animate-effect="fadeInLeft">
            <?php get_sidebar();?>
        </div>
    </div>
</div>
<!-- Navigation -->

</div>
</div>

<?php
get_footer();
?>