<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

  <?php if ( have_comments() ) : ?>

    <div class="col-md-6 animate-box" data-animate-effect="fadeInUp">
      <h3 class="comment-title"><?php comments_number( esc_html__('Comments (0)', 'adco'), esc_html__('Comment (1)', 'adco'), esc_html__('Comments (%)', 'adco')); ?></h3>
      <?php wp_list_comments('callback=adco_theme_comment'); ?>
    </div>
                                   
    <?php
            // Are there comments to navigate through?
    if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
      ?>
    <div class="text-center">
      <ul class="pagination">
        <li>
          <?php //Create pagination links for the comments on the current post, with single arrow heads for previous/next
          paginate_comments_links( array(
            'prev_text' => wp_specialchars_decode(esc_html__( '<i class="ti-arrow-left"></i>', 'adco' ),ENT_QUOTES), 
            'next_text' => wp_specialchars_decode(esc_html__( '<i class="ti-arrow-right"></i>', 'adco' ),ENT_QUOTES)
          ));  ?>
        </li> 
      </ul>
    </div>
<?php endif; // Check for comment navigation ?>
<?php endif; ?>
<?php
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
        $aria_req = ( $req ? " aria-required='true'" : '' );
        $comment_args = array(
                'id_form' => 'ee-form-componentid11',        
                'class_form' => 'adco-contact-form row',                         
                'title_reply'=> esc_html__( 'Leave a comment', 'adco' ),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<div class="col-sm-6">
                                    <div class="ee-form-component">
                                      <input type="text" class="ee-input" id="name" placeholder="'.esc_attr__('Name *', 'adco').'" name="author">
                                    </div>
                                  </div>',
                    'email' => '<div class="col-sm-6">
                                  <div class="ee-form-component">
                                    <input type="email" class="ee-input" placeholder="'.esc_attr__('Email *', 'adco').'" id="email" name="email">
                                  </div>
                                </div>'
                ) ),
                'comment_field' => '<div class="col-sm-12">
                                      <div class="ee-form-component">
                                        <textarea name="comment" id="message" cols="40" rows="4" class="ee-input" placeholder="'.esc_attr__('Comment *', 'adco').'"></textarea>
                                      </div>
                                    </div>',                    
                 'label_submit' => esc_attr__( 'Post A Comment', 'adco' ),
                 'class_submit' => 'btn',
                 'comment_notes_before' => '',
                 'comment_notes_after' => '',               
        )
    ?>
<?php if ( comments_open() ) : ?>
  <div class="col-md-5 animate-box" data-animate-effect="fadeInUp">
    <div class="adco-details-block">
      <?php comment_form($comment_args); ?>
    </div>
  </div>
<?php endif; ?>