<!DOCTYPE html>

<html <?php language_attributes(); ?>>

<?php $adco_redux_demo = get_option('redux_demo'); ?>

<head>

    <!-- Meta Tags -->

    <meta charset="<?php bloginfo( 'charset' ); ?>">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {?>

        <?php if(isset($adco_redux_demo['favicon']['url'])){?>

            <link rel="shortcut icon" href="<?php echo esc_url($adco_redux_demo['favicon']['url']); ?>">

        <?php } ?>

    <?php } ?>

    <?php wp_head(); ?> 


</head>

<body <?php body_class(); ?>>

    <div id="adco-page"> 
        <a href="#" class="js-adco-nav-toggle adco-nav-toggle"><i></i></a>
        <!-- Sidebar Section -->
        <aside id="adco-aside">
            <!-- Logo -->
            <?php if(isset($adco_redux_demo['header_logo']['url']) && $adco_redux_demo['header_logo']['url'] != ''){?>
            <div class="adco-logo">
               <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url($adco_redux_demo['header_logo']['url']);?>" alt=""></a>
            </div>
            <?php }else{?>
            <div class="adco-logo">
               <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo get_template_directory_uri();?>/assets/images/logo.png" alt=""></a>
            </div>
            <?php } ?>
            <!-- Menu -->
            <nav id="adco-main-menu">
                <?php 
                wp_nav_menu( 
                    array( 
                        'theme_location' => 'personal',
                        'container' => '',
                        'menu_class' => '', 
                        'menu_id' => '',
                        'menu'            => '',
                        'container_class' => '',
                        'container_id'    => '',
                        'echo'            => true,
                        'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                        'walker'            => new adco_wp_bootstrap_navwalker(),
                        'before'          => '',
                        'after'           => '',
                        'link_before'     => '',
                        'link_after'      => '',
                        'items_wrap'      => '<ul class="%2$s">%3$s</ul>',
                        'depth'           => 0,        
                    )
                ); ?>
            </nav>
            <!-- Sidebar Footer -->
            <div class="adco-footer">
                <div class="separator"></div>
                <ul>
                    <?php if($adco_redux_demo['header_dribbble_link'] != ''){?>
                    <li><a href="<?php echo esc_url($adco_redux_demo['header_dribbble_link']);?>"><i class="ti-dribbble"></i></a></li>
                    <?php } ?>
                    <?php if($adco_redux_demo['header_twitter_link'] != ''){?>
                    <li><a href="<?php echo esc_url($adco_redux_demo['header_twitter_link']);?>"><i class="ti-twitter"></i></a></li>
                    <?php } ?>
                    <?php if($adco_redux_demo['header_instagram_link'] != ''){?>
                    <li><a href="<?php echo esc_url($adco_redux_demo['header_instagram_link']);?>"><i class="ti-instagram"></i></a></li>
                    <?php } ?>
                </ul>
                 <?php if(isset($adco_redux_demo['header_copyright']) && $adco_redux_demo['header_copyright'] != ''){?>
                <p><small><?php echo htmlspecialchars_decode(esc_attr($adco_redux_demo['header_copyright']));?></small></p>
                <?php }else{?>
                <p><small><?php echo esc_html__( 'Copyright ©2021 ADCO.', 'adco' )?></small></p>
                <?php } ?>
            </div>
        </aside>
        <!-- Main Section -->
        <div id="adco-main">