<?php
/*
 * Template Name: Blog 2 Template
 * Description: A Page Template with a Page Builder design.
 */
 $adco_redux_demo = get_option('redux_demo');
get_header(); ?>

<div class="adco-section-padding">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12"> <span class="heading-meta style-1"><?php if(isset($adco_redux_demo['blog_meta']) && $adco_redux_demo['blog_meta'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($adco_redux_demo['blog_meta']));?>
                <?php }else{?>
                    <?php echo esc_html__( 'Read', 'adco' );
                }
                ?></span>
                <h2 class="adco-heading animate-box" data-animate-effect="fadeInUp"><?php if(isset($adco_redux_demo['blog_heading']) && $adco_redux_demo['blog_heading'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($adco_redux_demo['blog_heading']));?>
                <?php }else{?>
                    <?php echo esc_html__( 'Blog & News', 'adco' );
                }
                ?></h2>
            </div>
        </div>
        <?php 
        	$args = array(   
        		'post_type' => 'post',   
        		'paged' => $paged,
        		'posts_per_page' => 6,
        		'order' => 'ASC',
        		'orderby' => 'date', 
        	);  
        	$wp_query = new WP_Query($args);
        	while ($wp_query -> have_posts()) : $wp_query -> the_post();
        		?>
            <div class="row mb-60">
                <div class="col-md-6">
                    <div class="adco-blog-wrap animate-box" data-animate-effect="fadeInUp"> 
                       <div class="img">
                           <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" class="img-fluid" alt=""></a>
                       </div>
                   </div>
               </div>
               <div class="col-md-6">
                    <div class="adco-blog-wrap animate-box" data-animate-effect="fadeInUp"> 
                        <div class="adco-blog-bottom-content">
                            <div class="adco-blog-title">
                                <p class="adco-author-date"><i class="ti-time"></i> <?php the_time(get_option( 'date_format' ));?></p>
                                <h2><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                            </div>
                            <p><?php if(isset($adco_redux_demo['blog_excerpt'])){?>
                                <?php echo esc_attr(adco_excerpt($adco_redux_demo['blog_excerpt'])); ?>
                            <?php }else{?>
                                <?php echo esc_attr(adco_excerpt(50)); 
                            }
                            ?></p>
                            <a href="<?php the_permalink();?>">
                                <div class="btn-contact style-1">
                                    <?php echo esc_html__( 'Read More', 'adco' )?>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        <?php endwhile; ?>
        <!-- Navigation -->
        <div class="row">
            <div class="col-md-12">
                <div class="adco-blog-navigation">
                    <?php adco_pagination();?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?>