<?php
// register post type Portfolio

add_action( 'init', 'register_adco_Work' );
function register_adco_Work() {
    
    $labels = array( 
        'name' => __( 'Work', 'adco' ),
        'singular_name' => __( 'Work', 'adco' ),
        'add_new' => __( 'Add New Work', 'adco' ),
        'add_new_item' => __( 'Add New Work', 'adco' ),
        'edit_item' => __( 'Edit Work', 'adco' ),
        'new_item' => __( 'New Work', 'adco' ),
        'view_item' => __( 'View Work', 'adco' ),
        'search_items' => __( 'Search Work', 'adco' ),
        'not_found' => __( 'No Work found', 'adco' ),
        'not_found_in_trash' => __( 'No Work found in Trash', 'adco' ),
        'parent_item_colon' => __( 'Parent Work:', 'adco' ),
        'menu_name' => __( 'Work', 'adco' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Work',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Work', 'type' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-hammer', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_style' => 'post'
    );

    register_post_type( 'Work', $args );
}
add_action( 'init', 'create_WorkType_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_WorkType_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type', 'adco' ),
    'singular_name' => __( 'Type', 'adco' ),
    'search_items' =>  __( 'Search Type','adco' ),
    'all_items' => __( 'All Type','adco' ),
    'parent_item' => __( 'Parent Type','adco' ),
    'parent_item_colon' => __( 'Parent Type:','adco' ),
    'edit_item' => __( 'Edit Type','adco' ), 
    'update_item' => __( 'Update Type','adco' ),
    'add_new_item' => __( 'Add New Type','adco' ),
    'new_item_name' => __( 'New Type Name','adco' ),
    'menu_name' => __( 'Type','adco' ),
  );     

// Now register the taxonomy

  register_taxonomy('type',array('Work',), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type' ),
  ));


}
